<?php
$array            = resetRequest( $_REQUEST ) ;
$explode          = explode( 'api/', $_SERVER['PHP_SELF'] ) ;

$access           = false ;
if ( $array['time'] > strtotime('-1 minutes') ){
	if ( hash('sha256', $array['platform'].$array['lang'].$array['branch_id'].$array['staff_id'].$array['token'].$array['time'].APIKEY) == $array['sign'] ){
		$access   = true ;
	}
}

if ( !$access ){ header("HTTP/1.0 404 Not Found") ; exit ; }
?>